> ## Documentation Index
> Fetch the complete documentation index at: https://cubed3-feat-druid-driver-streaming.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get deployment environment tokens



## OpenAPI

````yaml /api-reference/api.yaml get /v1/deployments/{deploymentId}/environments/{environmentId}/tokens
openapi: 3.1.0
info:
  title: Cube Cloud REST API
  version: 1.0.0
  description: >-
    Programmatically manage Cube Cloud: deployments and everything scoped to
    them

    (environments, folders, reports, workbooks, notifications, workspace, and
    agents),

    plus account-level users, groups, policies, embedding, and AI settings.
servers:
  - url: https://{tenant}.cubecloud.dev/api
    description: >-
      Cube Cloud API base URL. Replace the whole host if you use a custom
      domain.
    variables:
      tenant:
        default: your-tenant
        description: Your Cube Cloud tenant subdomain
security:
  - bearerAuth: []
tags:
  - name: Deployments
  - name: Environments
  - name: Folders
  - name: Reports
  - name: Workbooks
  - name: Notifications
  - name: Workspace
  - name: App Theme
  - name: Embed
  - name: Embed Tenants
paths:
  /v1/deployments/{deploymentId}/environments/{environmentId}/tokens:
    get:
      tags:
        - Environments
      summary: Get deployment environment tokens
      operationId: getDeploymentEnvironmentTokens
      parameters:
        - in: path
          name: deploymentId
          required: true
          schema:
            type: integer
        - in: path
          name: environmentId
          required: true
          schema:
            type: integer
        - in: query
          name: offset
          required: false
          schema:
            oneOf:
              - minimum: 0
                type: integer
              - type: 'null'
            type: integer
            minimum: 0
        - in: query
          name: limit
          required: false
          schema:
            oneOf:
              - minimum: 0
                type: integer
              - type: 'null'
            type: integer
            minimum: 0
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeploymentEnvironmentTokensListResponse'
          description: ''
components:
  schemas:
    DeploymentEnvironmentTokensListResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/DeploymentEnvironmentToken'
          type: array
        pagination:
          $ref: '#/components/schemas/DeploymentsPagination'
      required:
        - data
        - pagination
      type: object
    DeploymentEnvironmentToken:
      properties:
        created_at:
          type: string
        expires_at:
          type: string
        security_context:
          type: object
          additionalProperties: true
        token:
          type: string
      required:
        - token
        - security_context
        - created_at
        - expires_at
      type: object
    DeploymentsPagination:
      properties:
        limit:
          minimum: 0
          type: integer
        offset:
          minimum: 0
          type: integer
        total:
          minimum: 0
          type: integer
      required:
        - total
        - offset
        - limit
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Token authentication. Send `Authorization: Bearer <YOUR_TOKEN>`.'

````